     COM_DTR()
     Queries/sets the Data Terminal Ready (DTR) status

     Syntax

         COM_DTR(<nComPort>,[<lNewDTRStatus>]) --> lOldDTRStatus

     Arguments

         <nComPort>  Designates the port (1 to N) on which DSR is tested.

         <lNewDTRStatus>  Designates the status of DTR.  .T. designates that
         the DTR signal is active, and .F. designates that the signal is
         inactive.  If the parameter is not specified, CA-Clipper Tools does not
         affect the DTR exit signal.

     Returns

         The returned value corresponds to the DTR signal status prior to the new
         setting, or in the absence of <lNewDTRStatus>, the returned value
         corresponds to the current DTR.  A return of .T. indicates that the DTR
         is active (MCR bit 1 = 1).  A return of .F. indicates that the DTR is
         inactive (MCR bit 1 = 0).

     Description

         COM_DTR() queries the DTR signal status.  If the second parameter is not
         supplied, the DTR signal status does not change.

     Note

         ”  The COM_CLOSE() function resets DTR (to inactive).  By
            contrast, COM_OPEN does not automatically make DTR active!

     Example

         A COM_OPEN() does not set the DTR signal.  You must specifically set the
         DTR signal.

         nBuff_size  :=  4000                      // 4000 byte buffer
         lComOk      :=  COM_OPEN(1, nBuff_size)   // Open COM1

         IF lComOk
            COM_DTR(1, .T.)                        // Activate DTR Port 1
            * ...
         ENDIF

See Also: COM_OPEN() COM_CLOSE()